﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
'Custom View class 
#Event: ValueChanged (Value As Boolean)
#DesignerProperty: Key: CheckBoxValue, DisplayName: Checked, FieldType: Boolean, DefaultValue: False, Description: CheckBox value.
#DesignerProperty: Key: CheckBoxDotColor, DisplayName: Dot Color, FieldType: Color, DefaultValue: 0xFFFF0000, Description: CheckBox dot color
Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Panel
	Private Const DefaultColorConstant As Int = -984833 'ignore
	Private dotPanel As Panel
	Private isValue As Boolean
	Private dotColorTrue, dotColorFalse As ColorDrawable
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	dotPanel.Initialize("dotPanel")	
	mBase = Base
	isValue=Props.Get("CheckBoxValue")
	dotColorTrue.Initialize2(Props.Get("CheckBoxDotColor"), 10dip, 1dip, Colors.Black)
	dotColorFalse.Initialize2(Colors.White, 10dip, 1dip, Colors.Black)
	dotColorFalse.Initialize2(Colors.White, 10dip, 1dip, Colors.Black)
	mBase.Background = dotColorFalse
	If isValue = True Then
		dotPanel.Background = dotColorTrue
	Else
		dotPanel.Background = dotColorFalse
	End If
	
	mBase.AddView(dotPanel, 0, 0, mBase.Width, mBase.Height )
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

Sub dotPanel_Click
	Log("dotPanel_click: di klik uy")
	isValue = Not(isValue)
	If isValue = True Then
		dotPanel.Background = dotColorTrue
	Else
		dotPanel.Background = dotColorFalse
	End If
	If SubExists(mCallBack, mEventName & "_" & "ValueChanged") Then
		CallSub2(mCallBack, mEventName & "_" & "ValueChanged",isValue)	
	End If
End Sub

